
Foreman - Bug #7622

DHCP leases not created when rebuilding hosts.

09/24/2014 07:50 AM - Martin Hovmöller

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The following steps were taken:

1. Create host.

2. Install host.

3. Remove DHCP lease for the host in question.

4. Put the host in build mode.

Expected behavior:

DHCP lease should be created for the host if it's not found in the leases file.

Actual behavior:

Foreman looks for DHCP lease, but only prints an error in the proxy log if none is found, instead of creating one.

No error is shown in the web interface, and the host fails to build due to the missing lease.

Related issues:

Is duplicate of Foreman - Feature #1536: Foreman should check DHCP entries on... Closed 03/16/2012

History

#1 - 09/24/2014 08:07 AM - Dominic Cleal

- Is duplicate of Feature #1536: Foreman should check DHCP entries on build added

#2 - 09/24/2014 08:07 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think this is tracked adequately under #1536 and related issues (there are quite a few, including with TFTP).
